glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Protected Member Functions | List of all members
Glib::ValueBase_Enum Class Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::ValueBase_Enum:
[legend]

## Public Types
using | CType = gint

## Static Public Member Functions
static GType | value_type ()

## Protected Member Functions
void | set_enum (int data)
int | get_enum () const

## Additional Inherited Members
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

using Glib::ValueBase_Enum::CType = gint

## Member Function Documentation

int Glib::ValueBase_Enum::get_enum | ( |  | ) | const
| protected

void Glib::ValueBase_Enum::set_enum | ( | int | data | ) |
| protected

static GType Glib::ValueBase_Enum::value_type | ( |  | ) |
| static